Skip to main content

2 posts tagged with "Docs"

Documentation-related updates.

View All Tags

Release 2.0.0

· One min read
SSI Team
Platform Engineering

Highlights

Requests API

  • GET /requests/v1/{mpid} now supports pagination with page and page_size.
  • Paginated responses include a pagination object with page, page_size, and total_count.
  • sort_direction can be used to return results in ascending or descending order.
  • request_status can now filter by one or more comma-separated statuses: Pending, Success, and Failed.
  • Request metadata now includes an errors array for recorded process alerts, including alert code, title, message, severity, and optional details.

Release 1.1.28

· 2 min read
SSI Team
Platform Engineering

Highlights

Agents

  • Added GET /agents/v1/{mpid}?dip_id={dip_id} to fetch a single agent by DIP ID, or ignore dip_id to retrieve all agents in DB.

MPAN and Meter Technical Details

  • MPAN payloads now include measurement_class_id.
  • Meter Technical Details endpoint GET /meter-technical-details/v1/{mpid} now accepts:
    • mpan_id (existing query param)
    • as_of (new optional query param for historical view, API will return current snapshot if this is not provided)
  • Meter Technical Details response now includes:
    • effective_from_settlement_date_msmtd
  • Meter registers returned under hh_mtd.meter_registers / nhh_mtd.meter_registers are now filtered to registers owned for that MPAN. This allows for MPAN - Register ownership, rather than MPAN - Meter ownership.